Subject: [calsify] JSCalendar: updated version 17

From: "Robert Stepanek" <[email-masked]>
Date: Sat, 29 Jun 2019 18:08:46 +0200

Hi,

I have uploaded version 17 of the JSCalendar RFC draft: https://tools.ietf.org/html/draft-ietf-calext-jscalendar-17

This version includes a couple of clarifications and rephrasing:
- Renamed UTCDate and LocalDate types to UTCDateTime and LocalDateTime, respectively.
- Clarified that UTCDateTime values MUST end with 'Z' (zero offsets are not allowed).
- Clarified to ignore pointers with forbidden key prefixes in recurrenceOverrides. 
- Removed the empty String Location.name default value for consistency.

Based on the feedback on this list, we consider this RFC complete.

The informational guide for mapping iCalendar and JSCalendar is updated to version 01: https://tools.ietf.org/html/draft-ietf-calext-jscalendar-icalendar-01. I suggest we wait with completing this draft until the JSCalendar spec is officially accepted. It would help to hear from other developers if the recommended iCalendar mapping makes sense in their environments.

FYI - I will be out of office over the summer months, and will not be able to reply to your feedback. Neil Jenkins is the co-author of this RFC and reads this list.

Regards,
Robert